チケット #28897

Migration to gtk3

登録: 2012-07-02 00:08 最終更新: 2012-07-24 16:33

報告者:
担当者:
(未割り当て)
チケットの種類:
状況:
オープン
コンポーネント:
(未割り当て)
マイルストーン:
(未割り当て)
優先度:
5 - 中
重要度:
5 - 中
解決法:
なし

詳細

I have made patches to migrate the scim-anthy and scim-skk to gtk3. Please take a look on them and consider accepting them, thanks. https://github.com/tzhuan/scim-anthy https://github.com/tzhuan/scim-skk

添付ファイルリスト

チケットの履歴 (12 件中 3 件表示)

2012-07-02 00:08 更新者: tzhuan
  • 新しいチケット "Migration to gtk3" が作成されました
2012-07-02 00:10 更新者: tzhuan
  • 添付ファイル scim-anthy.patch (File ID: 4797) が付加されました
2012-07-02 00:10 更新者: tzhuan
  • 添付ファイル scim-skk.patch (File ID: 4798) が付加されました
2012-07-13 23:37 更新者: yab
コメント

Hi, scim-prime maintainers

I'm Yukiharu YABUKI who is uploader scim-prime in Debian.

I've been troubled with scim-prime does not compile completely.

I checked this issue. Because, scim-prime does not update gtk2 -> gtk3 migration.

  • Migrating from GtkOptionMenu to GtkComboBox
  • hbox
  • vbox
  • If you want to compile with gtk2 and gtk3, please use GTK_CHECK_VERSION macro.
  • etc...

Will you fix these issue?

Environment: Debian unstable.

See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676096

tzhuan への返信

I have made patches to migrate the scim-anthy and scim-skk to gtk3. Please take a look on them and consider accepting them, thanks. https://github.com/tzhuan/scim-anthy https://github.com/tzhuan/scim-skk

2012-07-15 04:13 更新者: tzhuan
コメント

Reply To yab

Hi, scim-prime maintainers I'm Yukiharu YABUKI who is uploader scim-prime in Debian. I've been troubled with scim-prime does not compile completely. I checked this issue. Because, scim-prime does not update gtk2 -> gtk3 migration. * Migrating from GtkOptionMenu to GtkComboBox * hbox * vbox * If you want to compile with gtk2 and gtk3, please use GTK_CHECK_VERSION macro. * etc... Will you fix these issue?

Sure. Please take a look at the branch "develop": https://github.com/tzhuan/scim-prime

Since I don't know Japanese and prime, I just make sure that it is build-able, not test yet.

2012-07-16 08:53 更新者: yab
コメント

Thank you for your kindness, tzhuan

I have modified scim-prime. but I can not test, bucase other RC bug blocks to use scim-prime. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678890

I guess that not only fix scim-prime but also I need to fix prime package. Anyway, I will share you fixed code. because I am not so familiar with GTK programming, I want to review my fixed code.

2012-07-16 12:31 更新者: tzhuan
コメント

Reply To yab

Thank you for your kindness, tzhuan I have modified scim-prime. but I can not test, bucase other RC bug blocks to use scim-prime. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678890 I guess that not only fix scim-prime but also I need to fix prime package. Anyway, I will share you fixed code. because I am not so familiar with GTK programming, I want to review my fixed code.

What version (unstable, right?) and architecture (i386 or amd64) do you use? I can build the packages for you so that you can test it first.

2012-07-19 10:39 更新者: yab
コメント

Hi, tzhuan

I put fixed package in my space http://www.netfort.gr.jp/~yabuki/tmp/

please check it out.

2012-07-19 10:41 更新者: yab
コメント

This version can build on pbuilder i386/sid.

2012-07-24 16:33 更新者: tzhuan
コメント

Reply To yab

Hi, tzhuan I put fixed package in my space http://www.netfort.gr.jp/~yabuki/tmp/ please check it out.

Sorry for the late reply.

The package can be built, but lintian reports many errors/warnings. I think it is better to solve the errors and warnings.

After installing, the prime seems not work so that I cannot switch the input method to scim-prime. I don't know Japanese and I don't know how to use prime/scim-prime, so I might be wrong. Just for your information.

2012-07-26 10:22 更新者: yab
コメント

Thank you for having a look package.

Exactly, This modification aims to fix FTBFS. You are correct that solving the lintian errors and warnings in scim-prime package. The ohter which is scim-prime RC bug prevent us to test scim-prime. I guess that it is not only scim-prime's problem but also prime package problem. I need to have a time and investigate prime package. prime package should apply ruby transition shouldn't it?

Best Regards Yukiharu.

2013-09-16 20:35 更新者: heroxbd
コメント

Hi, I'd like to see these patches integrated.

Maintaining a big patch like this in distributions is painful.

Debian has been using it for a long time and it is working.

編集

ログインしていません。ログインしていない状態では、コメントに記載者の記録が残りません。 » ログインする